# &konsole; käsiraamat

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Marek
Laane

    bald@smail.ee

Tõlge eesti keelde
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
&Kurt.Hindenburg;
&FDLNotice;
2009-10-20
2.4.0

&konsole; on &kde; terminaliemulaator.

KDE
konsool
kdebase
käsk
rida
terminal
käsurida

## Sissejuhatus

### Mis on terminal?

&konsole; on X'i terminali emulaator, mida sageli nimetatakse lihtsalt terminaliks või koorikuks (shell). See matkib käsurealiidest ainult teksti kasutavas aknas.

&UNIX; käsurea ehk CLI tutvustamine väljub käesoleva käsiraamatu temaatikast. Selle kohta leiab täpsemat teavet juba lihtsa internetiotsinguga.

### Kerimine ehk ajalugu

&konsole; kasutab kerimist ehk ajalugu, et võimaldada kasutajal näha varem näha olnud väljundit. Vaikimisi on see sisse lülitatud ning ajalugu ulatub lisaks parajasti ekraanil nähtavale veel 1000 rea võrra tagasi. Kui read üle ekraani kulgevad ja silmist kaovad, saab kadunuid uuesti vaadata kerimisriba ülespoole nihutades kas hiirega või kiirklahvidega &Shift;Page Up (liigub lehekülje võrra tagasi), &Shift;Page Down (liigub lehekülje võrra edasi), &Shift;Nool üles (liigub rea võrra üles) ja &Shift;Nool alla (liigub rea võrra alla).

Kui Scroll Lock on sisse lülitatud, on tavapärane shelli sisend ja väljund tõkestatud ning ajaloos võib liikuda klahvidega Page Up ja Page down ning Nool üles ja Nool alla.

&konsole; pakub mitmeid ajalooga seotud toiminguid menüüs Kerimine .

### Profiilid

Profiilid võimaldavad kasutajal kiiresti ja vähese vaevaga automatiseerida teatavaid levinumaid käske. Mõned näited:

- ssh teise masinasse

- IRC seansi käivitamine

- käsu tail kasutamine faili jälgimiseks

Uue profiili loomine:

1. Vali menüükäsk Seadistused Profiilide haldamine...

2. Klõpsa nupule Uus profiil...

3. Kirjuta kõigepealt nimi, mille all seanssi näidatakse menüüs ja millest saab Shelli asemel sellist tüüpi seanssi avades vaikenimetus.

4. Kirjuta käsk, millega sa muidu avaksid uue shelliühenduse. Toodud näites võiks selleks olla ``ssh` administration`.

5. Dialoogi teistel kaartidel saab seadistada seansi välimust. Igal seansil võib olla erinev font, värviskeem, $`TERM` tüüp ja veel mitmeid muid erinevaid seadistusi.

6. Klõpsa nupule OK. Uus seanss on nüüd saadaval dialoogis Profiilide haldamine.

Pärast profiili loomist on see nime järgi leitav menüüs Fail otse vaikimisi elemendi Shell all.

### Hiirenupud

Selles osas tutvustame hiirenuppude kasutamist, pidades nuppude asetusest rääkides silmas kõige levinumat paremkäelistele mõeldud hiirt. Kui kasutad vasakukäelistele kohandatud hiirt, vaheta lihtsalt teksti parem ja vasak ära.

Vasak

  Klõps &HVN;ga edastatakse &konsole;s töötavale rakendusele sündmusena, kui rakendus tunnustab hiirt. Kui rakendus hiireklõpsudele reageerib, annab &konsole; sellest teada noolekujulise kursoriga, kui mitte, siis on näha I- ehk tulbakujuline kursor.

  Kui hoida &HVN; all ja hiirt üle ekraani lohistada, saab hiirt mittetunnustavates rakendustes märkida ära tekstibloki. Lohistamise ajal näidatakse märgitud teksti ka visuaalselt. Märgitud teksti kopeerimiseks lõikepuhvrisse, kus seda saab kasutada &konsole;s või mõnes muus rakenduses, vali käsk Kopeeri menüüst Redigeerimine. Valitud teksti saab ka sobivasse rakendusse otse lohistada. Selleks klõpsa valitud tekstil ja lohista see soovitud kohta (sõltuvalt &kde; seadistustest võib olla vajalik hoida lohistamise ajal all klahvi &Ctrl;).

  Tavaliselt lisatakse iga valitud rea lõppu reavahetuse märk. See tuleb eriti kasuks lähtekoodi või mõne käsu väljundi lõikamisel ja asetamisel. Tavalise teksti korral ei ole reavahetused nii olulised. Mõni võib isegi eelistada, et tekst oleks märgijada, mida automaatselt vormindatakse rakenduses, kuhu see asetatakse. Sellise režiimi valimiseks hoia tavalisel valimisel all klahvi &Ctrl;.

  Kui ühes &HVN;ga hoida all klahve &Ctrl; ja &Alt;, saab valida tekstiveeru.

  Topeltklõps &HVN;ga valib sõna, kolmikklõps terve rea.

  Kui märkimise ajal puudutatakse tekstiala ülemist või alumist serva, kerib &konsole; ekraani üles või alla, näidates teksti oma ajaloopuhvrist. Kerimine peatub koos hiire liikumise peatumisega.

  Kui hiir lahti lasta, püüab &konsole; hoida lõikepuhvris olevat teksti nähtavana, värvides märgitud ala. See kaotab värvi niipea, kui lõikepuhvri sisu muutub, märgitud alas teksti muudetakse või klõpsatakse &HVN;ga.

  Teksti märkimiseks hiirt tunnustavates rakendustes (näiteks Midnight Commander) tuleb klõpsamise ajal vajutada ka klahvi &Shift;.

Keskmine

  Klõps &HKN;ga asetab parajasti lõikepuhvris oleva teksti. Kui &HVN;ga klõpsamie ajal hoida all klahv &Ctrl;, asetatakse tekst ja saadetakse see &konsole;le.

  Kui kasutad ainult kahe nupuga hiirt, tuleb &HVN; ja &HPN; korraga all hoida, et imiteerida klõpsu &HKN;ga.

  Kui sul on keskmise nupu rolli määratud hiireratas, kerib selle liigutamine hiirt mittetunnustavates rakendustes &konsole; kerimisriba.

Parem

  Kui klõpsata &HVNga;, ilmuvad menüüs järgmised elemendid: Kopeeri, Aseta, Puhasta ajalugu ja lähtesta, Ava failihaldur, Vaheta profiili, Muuda aktiivset profiili..., Näita menüüriba, Kodeering ja Sulge kaart.

  Hiirt tunnustava rakenduse korral avab kontekstimenüü üheaegne klahvi &Shift; vajutamine ja klõps &HPNga;.

## Käskude seletused

### Menüüriba

Menüüriba asub &konsole; akna ülaservas. Kui see on peidetud, saab käsuga Näita menüüriba, mille leiab hiire parema nupuga aknas klõpsamisel (tingimusel, et parajasti ei tööta mõni kogu ekraani hõlmav rakendus, näiteks vi, minicom vms.) avatavas kontekstimenüüs. Iga menüükirje järel on kirjas ka selle vaikimisi kiirklahv.

#### Menüü Fail

&Ctrl;&Shift;N Fail Uus kaart

  Avab uue kaardi vaikimisi profiiliga.

&Ctrl;&Shift;M Fail Uus aken

  Avab &konsole; uue eraldi akna vaikimisi profiiliga.

Fail Shell

  Avab uue kaardi Shelli profiiliga.

  &konsole; pakub Shelli profiili vaikimisi. Kõigil uutel, kasutaja lisatud profiilidel on oma menüükirje otse Fail Shell all.

Fail Ava failihaldur

  Avab &kde; failihalduri aktiivses kataloogis. Vaikimisi on failihalduriks &dolphin;.

&Ctrl;&Shift;W Fail Sulge kaart

  Sulgeb aktiivse kaardi.

&Ctrl;&Shift;Q Fail Välju

  Lõpetab &konsole; töö.

  &konsole; näitab akent, kui avatud on rohkem kui üks kaart. Akna näitamise saab keelata, kui märkida kastike Rohkem ei küsita.

#### Menüü Redigeerimine

&Ctrl;&Shift;C Redigeerimine Kopeeri

  Kopeerib valitud teksti lõikepuhvrisse.

&Ctrl;&Shift;V Redigeerimine Aseta

  Asetab teksti lõikepuhvrist kursori asukohta.

&Ctrl;&Alt;S Redigeerimine Nimeta kaart ümber...

  Avab dialoogi, kus saab muuta aktiivse kaardi nime (täpsem teave).

&Ctrl;&Shift;C Redigeerimine Kopeeri sisend Kõigile aktiivse akna kaartidele

  Võimaldab saata aktiivse seansi sisendi ka teistesse aktiivse akna seanssidesse

&Ctrl;&Shift;C Redigeerimine Kopeeri sisend Vali kaardid...

  Võimaldab saata aktiivse seansi sisendi ka kasutaja valitud seanssidesse (täpsem teave).

&Ctrl;&Shift;C Redigeerimine Kopeeri sisend Puudub

  Sisendit ei saadeta enam teistele seanssidele

Redigeerimine Puhasta ja lähtesta

  Eemaldab kaardil kogu teksti ja lähtestab seansi.

  Kogu eemaldatud tekst salvestatakse ajaloos.

#### Menüü Vaade

&Ctrl;&Shift;L Vaade Vaate poolitamine Poolita vaade horisontaalselt

  Poolitab kõik kaardid vasak- ja parempoolseks vaateks.

  Mis tahes vaate väljundit kajastatakse ka teises vaates.

&Ctrl;&Shift;T Vaate Vaate poolitamine Poolita vaade vertikaalselt

  Poolitab kõik kaardid ülemiseks ja alumiseks vaateks.

  Mis tahes vaate väljundit kajastatakse ka teises vaates.

&Ctrl;&Shift;S Vaade Vaate poolitamine Sulge aktiivne

  Sulgeb aktiivse vaate.

&Ctrl;&Shift;O Vaade Vaate poolitamine Sulge teised

  Sulgeb mitteaktiivse(d) vaate(d).

&Ctrl;&Shift;] Vaade Vaate poolitamine Laienda vaadet

  Muudab aktiivse vaate suuremaks.

&Ctrl;&Shift;[ Vaade Vaate poolitamine Vähenda vaadet

  Muudab aktiivse vaate väiksemaks.

&Ctrl;&Shift;H Vaade Haagi vaade lahti

  Avab aktiivse kaardi omaette aknas.

  Eelmise &konsole; akna töö lõpetamine ei mõjuta uut akent.

Vaade Näita menüüriba

  Lülitab menüüriba näitamise sisse või välja.

&Ctrl;&Shift;F11 Vaade Täisekraanirežiim

  Lülitab &konsole; näitamist kogu ekraanil.

&Ctrl;&Shift;I Vaade Jälgi vaikust

  Lülitab aktiivsel kaardil tegevuse puudumise jälgimist.

  Vaikimisi ilmub pärast 10-sekundilist tegevuse puudumist seansi sakile teabeikoon. Märguande tüüpi saab muuta menüükäsuga Seadistused Märguannete seadistamineVaikus jälgitavas seansis.

&Ctrl;&Shift;A Vaade Jälgi aktiivsust

  Lülitab aktiivsel kaardil aktiivsuse jälgimist.

  Igasuguse tegevuse peale ilmub seansi sakile teabeikoon. Märguande tüüpi saab muuta menüükäsuga Seadistused Märguannete seadistamineAktiivsus jälgitavas seansis.

Vaade Kodeering

  Määrab kodeeringu

&Ctrl;+ Vaade Suurenda teksti suurust

  Suurendab kasutatava kirja suurust.

&Ctrl;- Vaade Vähenda teksti suurust

  Vähendab kasutatava kirja suurust.

#### Menüü Ajalugu

&Ctrl;&Shift;F Kerimine Otsi väkjundist...

  Avab &konsole; akna allservas otsinguriba.

  See võimaldab tõstutundlikke, edasi- või tagasisuunas ning regulaaravaldistega otsingut.

F3 Kerimine Otsi järgmine

  Liigub otsinguga leitud järgmisele vastele.

&Shift;F3 Kerimine Otsi eelmine

  Liigub otsinguga leitud eelmisele vastele.

Ajalugu Salvesta väljund...

  Salvestab aktiivse ajaloo teksti- või HTML-failina.

Ajalugu Ajaloo valikud...

  Avab dialoogi, kus saab määrata salvestatavate ridade arvu (täpsem teave).

&Ctrl;&Shift;X Kerimine Puhasta ajalugu ja lähtesta

  Eemaldab kogu aktiivses kaardis salvestatud teksti ja lähtestab terminali.

#### Menüü Järjehoidjad

&Ctrl;&Shift;B Järjehoidjad Lisa järjehoidja

  Lisab aktiivse asukoha.

Järjehoidjad Salvesta kaardid järjehoidjate kataloogina...

  Lisab kõik kaardid järjehoidjate kataloogi.

  Avatakse dialoog, kus saab anda järjehoidjate kataloogi nime.

Järjehoidjad Uus järjehoidjate kataloog...

  Lisab uue kataloogi järjehoidjate nimekirja.

  Avatakse dialoog, kus saab anda järjehoidjate kataloogi nime.

Järjehoidjad Redigeeri järjehoidjaid

  Avab järjehoidjate redaktori.

  Kaugühenduste avamiseks võib järjehoidjate redaktoris käsitsi lisada URL-e. Praegu tunnistab &konsole; järgmisi võimalusi:

  - ssh://kasutaja@masin:port

  - telnet://kasutaja@masin:port

#### Menüü Seadistused

Seadistused Profiili muutmine

  Muudab aktiivse kaardi profiili.

Seadistused Aktiivse profiili muutmine...

  Avab aktiivse kaardi profiili redaktori.

Seadistused Profiilide haldamine...

  Avab profiilide halduri.

Seadistused Kiirklahvide seadistamine...

  Avab kiirklahvide redaktori.

Seadistused Märguannete seadistamine...

  Avab märguannete redaktori.

#### Menüü Abi

&help.menu.documentation;

### Kaardi ümbernimetamise dialoog

Selles dialoogis saab muuta aktiivse kaardi nime. Dialoogi saab avada menüüst, kiirklahviga &Ctrl;&Alt;S või topeltklõpsuga kaardi sakil kaardiribal. Muudatuse saab muuta püsivaks, kui muuta aktiivset profiili.

&konsole; asendab järgmised kohatäitjad:

- %n : programmi nimi

- %d : aktiivne kataloog (lühidalt)

- %D : aktiivne kataloog (pikalt)

- %w : shelli määratud akna nimetus

- %# : seansi number

- %u : kasutajanimi

Näited:

- `%d : %n`, kui /usr/src on aktiivne kataloog ja töötab bash, näitab usr/s : bash

- `%D : %n`, kui /usr/src on aktiivne kataloog ja töötab top. näitab /usr/src : top

- `%w (%#)`, kui ~ on aktiivne kataloog ja töötab vim esimesel kaardil, näitab [No Name] (~) - VIM(1)

### Sisendi kopeerimise dialoog

Ühel kaardil sisestatud tekst saadetakse samaaegselt teistele kaartidele. Dialoog võimaldab valida, millised kaardid sisendi saavad. Aktiivset kaarti valida ei saa, sestap on see hallikas.

### Kerimise valikute dialoog

Selles dialoogis saab muuta ajaloo suuruse kerimise valikut. Samuti on siin märkekast, mille abil saab valida, kas salvestada valitud seadistused aktiivsesse profiili.

## Käsurea võtmed

Kui &konsole; käivitatakse käsurealt, saab selle käitumist muuta mitme võtme abil.

`--help`

  Näitab võtmete nimekirja.

`--profile` `fail`

  Käivitab &konsole; salvestatud seansside valikuga.

`--list-profiles`

  Näitab kõigi saadaolevate profiilide nimekirja.

`--background-mode`

  &konsole; käivitamine taustal ja muutmine aktiivseks klahviga F12.

`--new-tab`

  Uue kaardi loomine aktiivses aknas uue akna loomise asemel.

`--workdir` `kataloog`

  Avamine töökataloogis `dir`.

`--notransparency`

  Läbipaistva tausta keelamine, isegi kui süsteem seda toetab.

`--force-transparency`

  Läbipaistva tausta lubamine, isegi kui süsteem ei paista seda toetavat.

`--hold, --noclose`

  Algset seanssi ei suleta lõpetamisel automaatselt.

`-p` `omadus=väärtus`

  Profiili omaduse väärtuse muutmine.

`-e` `käsk`

  Käivitab shelli asemel `käsu`.

  Kõik argumendid pärast `käsku` edastatakse juba `käsule`, mitte enam &konsole;le.

&konsole; tunnistab ka tavalisi &Qt; ja &kde; võtmeid:

`--help-qt`

  &Qt; spetsiifiliste võtmete nimekiri

Järgmised &Qt; võtmed &konsole;s ei toimi:

`--fn`, `--font` `fondinimi`

  Määrab rakenduse fondi

`--bg`, `--background` `värv`

  Määrab vaikimisi taustavärvi

`--fg`, `--foreground` `värv`

  Määrab vaikimisi esiplaani värvi

`--btn`, `--button` `värv`

  Määrab vaikimisi nupu värvi

`--help-kde`

  &kde; spetsiifiliste võtmete nimekiri

`--help-all`

  Kõigi võtmete nimekiri

`--author`

  Näitab autorite nimesid

`-v,--version`

  Näitab versiooni

`--license`

  Näitab litsentsiinfot

## &konsole; skriptimine

&kde; 4 puhul on kunagine &DCOP; asendatud &DBus;iga. &konsole; toetab arvukaid meetodeid, mida saab kasutada koostöös &DBus;iga.

&DBus;i liidest saab kasutada kahel moel: &Qt; &GUI; qdbusviewer ja käsureal qdbus.

Näited:

- &percnt; `qdbus` näitab kõiki saadaolevaid teenuseid.

- &percnt; `qdbus` `org.kde.konsole` näitab &DBus;i &konsole; liidest.

- &percnt; `qdbus` `org.kde.konsole /Konsole` näitab meetodeid, millega juhtida &konsole; peaakent.

- &percnt; `qdbus` `org.kde.konsole /Sessions/1` näitab esimese seansi meetodeid.

Kui käivitad &konsole; terminalist, võib olla vajalik anda `org.kde.konsole` asemel `org.kde.konsole-`pidof -s konsole``.

Täpsemalt kõneleb sellest &DBus;i algtutvustus.

## Autorid ja autoriõigus

&konsole; praegune hooldaja on &Robert.Knight; &Robert.Knight.mail;

&konsole; varasemad hooldajad on olnud &Kurt.Hindenburg; &Kurt.Hindenburg.mail; ja &Waldo.Bastian; &Waldo.Bastian.mail;

Rakenduse &konsole; autoriõigus © 1997-2008: &Lars.Doelle; &Lars.Doelle.mail;

Käsiraamatu kirjutas &Jonathan.Singer; &Jonathan.Singer.mail;

Käsiraamatu uuendas &kde; 3.4 tarbeks &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Käsiraamatu uuendas &kde; 4.1 tarbeks &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

DocBook SGML vormingusse teisendasid &Mike.McBride; ja &Lauri.Watts;

Tõlge eesti keelde: Marek Laane bald@starman.ee

&underFDL; &underGPL;

## Lingid

Täpsemat teavet annavad järgmised veebileheküljed:

- &konsole; kodulehekülg

- &konsole; postiloend

- &kde; FreeBSD-l

- &kde; Solarisel

&documentation.index;